<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.SettingActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/textViewDevSetTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/system_setting"
            android:textSize="28sp"
            android:textStyle="bold"
            android:paddingBottom="8dp"
            android:layout_marginTop="20dp"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"/>

        <LinearLayout
            android:id="@+id/linearLayoutSystemSet"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"
            app:layout_constraintTop_toBottomOf="@id/textViewDevSetTitle"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:visibility="gone"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="24sp"
                    android:text="機器設備：" />

                <CheckBox
                    android:id="@+id/checkbox_VMC"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="24sp"
                    android:text="販賣機" />

                <CheckBox
                    android:id="@+id/checkbox_Electic"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="24sp"
                    android:text="電控機" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:visibility="gone"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="電商功能：" />

                <CheckBox
                    android:id="@+id/checkbox_ShoppingCar"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="購物車" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="80dp"
                android:orientation="horizontal"
                android:gravity="center_vertical" >

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="稅務系統：" />

                <CheckBox
                    android:id="@+id/checkbox_Invoice"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="電子發票" />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="80dp"
                android:orientation="horizontal"
                android:gravity="center_vertical" >

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="外接金流：" />

                <CheckBox
                    android:id="@+id/checkbox_DevNFCPay"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="刷卡機" />

                <CheckBox
                    android:id="@+id/checkbox_DevCash"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="現金支付" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="80dp"
                android:orientation="horizontal"
                android:gravity="center_vertical" >

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="紙鈔設定：" />

                <CheckBox
                    android:id="@+id/checkbox_DevBillF"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="1000 Bill" />

                <CheckBox
                    android:id="@+id/checkbox_DevBillE"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="500 Bill" />

                <CheckBox
                    android:id="@+id/checkbox_DevBillD"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="100 Bill" />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="80dp"
                android:orientation="horizontal"
                android:gravity="center_vertical" >

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="硬幣設定：" />

                <CheckBox
                    android:id="@+id/checkbox_DevCoinF"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="50 Coin" />

                <CheckBox
                    android:id="@+id/checkbox_DevCoinE"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="10 Coin" />

                <CheckBox
                    android:id="@+id/checkbox_DevCoinD"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="5 Coin" />

                <CheckBox
                    android:id="@+id/checkbox_DevCoinC"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="1Coin" />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="80dp"
                android:orientation="horizontal"
                android:gravity="center_vertical" >

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="掃碼金流：" />

                <CheckBox
                    android:id="@+id/checkbox_DevEsunPay"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="玉山掃碼支付" />

                <CheckBox
                    android:id="@+id/checkbox_DevTapPay"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="TapPay 支付" />

                <CheckBox
                    android:id="@+id/checkbox_DevLinePay"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:visibility="gone"
                    android:text="LinePay 支付" />

            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="80dp"
                android:orientation="horizontal"
                android:gravity="center_vertical" >

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="Tappay支付：" />

                <CheckBox
                    android:id="@+id/checkbox_DevTapPay30"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="LinePay" />

                <CheckBox
                    android:id="@+id/checkbox_DevTapPay31"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="街口支付" />

                <CheckBox
                    android:id="@+id/checkbox_DevTapPay32"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="悠遊付" />

                <CheckBox
                    android:id="@+id/checkbox_DevTapPay33"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="Pi支付" />

                <CheckBox
                    android:id="@+id/checkbox_DevTapPay34"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="26sp"
                    android:text="全盈+支付" />

            </LinearLayout>


        </LinearLayout>

        <View
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1" />

        <LinearLayout
            android:id="@+id/linearLayout2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <Button
                android:id="@+id/buttonBack"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:backgroundTint="@color/black"
                android:textSize="28dp"
                android:text="儲存並返回" />
        </LinearLayout>
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>